org.eclipse.aether.spi.connector

## Enum Transfer.State

- java.lang.Object
- - java.lang.Enum<Transfer.State>
  - - org.eclipse.aether.spi.connector.Transfer.State

- All Implemented Interfaces:
    Serializable, Comparable<Transfer.State>
  Enclosing class:
    Transfer

      public static enum Transfer.State
      extends Enum<Transfer.State>

  The state of a transfer.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE` Transfer is in progress.
    `DONE` Transfer is over, either successfully or not.
    `NEW` Transfer has not started yet.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Transfer.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Transfer.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final Transfer.State NEW

      Transfer has not started yet.

    - #### ACTIVE

          public static final Transfer.State ACTIVE

      Transfer is in progress.

    - #### DONE

          public static final Transfer.State DONE

      Transfer is over, either successfully or not.

  - ### Method Detail

    - #### values

          public static Transfer.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Transfer.State c : Transfer.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Transfer.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.